﻿Imports System.IO

Public Class Form1
    ' Load the previously saved values.
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        If File.Exists("Values.txt") Then
            Using valueReader As New StreamReader("Values.txt")
                Do While (Not valueReader.EndOfStream)
                    lstValues.Items.Add(valueReader.ReadLine())
                Loop
                valueReader.Close()
            End Using
        End If
    End Sub

    ' Add an item to the ListBox.
    Private Sub btnAdd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAdd.Click
        lstValues.Items.Add(txtValue.Text)
        txtValue.Clear()
    End Sub

    ' Save the values into a file.
    Private Sub btnSave_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSave.Click
        ' Open the file.
        Using valueWriter As New StreamWriter("Values.txt")
            For Each item As String In lstValues.Items
                valueWriter.WriteLine(item)
            Next item
            valueWriter.Close()
        End Using

        lstValues.Items.Clear()
    End Sub
End Class
