﻿Imports System.IO

Public Class Form1
    ' Load the saved values.
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' See if the file exists.
        If File.Exists("Values.txt") Then
            ' Open the file.
            Using valueReader As New StreamReader("Values.txt")
                txtFirstName.Text = valueReader.ReadLine()
                txtLastName.Text = valueReader.ReadLine()
                txtStreet.Text = valueReader.ReadLine()
                txtCity.Text = valueReader.ReadLine()
                txtState.Text = valueReader.ReadLine()
                txtZip.Text = valueReader.ReadLine()
                valueReader.Close()
            End Using
        End If
    End Sub

    ' Save the current values.
    Private Sub Form1_FormClosing(ByVal sender As Object,
     ByVal e As System.Windows.Forms.FormClosingEventArgs
     ) Handles Me.FormClosing
        ' Create the file.
        Using valueWriter As New StreamWriter("Values.txt")
            valueWriter.WriteLine(txtFirstName.Text)
            valueWriter.WriteLine(txtLastName.Text)
            valueWriter.WriteLine(txtStreet.Text)
            valueWriter.WriteLine(txtCity.Text)
            valueWriter.WriteLine(txtState.Text)
            valueWriter.WriteLine(txtZip.Text)
            valueWriter.Close()
        End Using
    End Sub
End Class
